cURL
curl --request POST \ --url https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/phone_numbers \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/vnd.api+json' \ --data ' { "data": { "type": "phone_number", "attributes": { "label": "home", "phone_number": "+14155559012", "effective_from": "2023-12-25", "custom_fields": {}, "external_id": "EXT-12345" }, "relationships": {} } } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "phone_number", "attributes": { "created_at": "<string>", "updated_at": "<string>", "custom_fields": {}, "label": "home", "phone_number": "+14155559012", "external_id": "EXT-12345", "effective_from": "2023-12-25", "effective_to": "2023-12-25" }, "relationships": { "user": { "links": { "related": "<string>" }, "meta": {}, "data": { "type": "user", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } }, "profile": { "links": { "related": "<string>" }, "meta": {}, "data": { "type": "profile", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } } } } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Bearer token
Show child attributes
phone number created